# PromisePool<T> Class | UniTask

Show / Hide Table of Contents

# PromisePool<T> Class

###### Namespace: Cysharp.Threading.Tasks.Internal

###### Assembly: cs.temp.dll.dll

    public class PromisePool<T>
        where T : class, IPromisePoolItem

##### Inheritance

System.Object → PromisePool<T>

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
PromisePool(Int32) |

#### Methods

Name | Description
--- | ---
TryRent() |
TryReturn(T) |

### Constructors

#### PromisePool(Int32)

    public PromisePool(int maxSize = 256)

##### Parameters

`maxSize` System.Int32

### Methods

#### TryRent()

    public T TryRent()

##### Returns

T

#### TryReturn(T)

    public bool TryReturn(T value)

##### Parameters

`value` T

##### Returns

System.Boolean